cutlass::TypeTraits< uint64_t > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef uint64_t | host_type
typedef uint64_t | device_type
typedef uint64_t | integer_type
typedef uint64_t | unsigned_type

## Static Public Member Functions

static uint64_t | remove_negative_zero (uint64_t x)
static uint64_t | to_print (uint64_t x)
static device_type | to_device (host_type x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_R_8I

## Member Typedef Documentation

typedef uint64_t cutlass::TypeTraits< uint64_t >::device_type

typedef uint64_t cutlass::TypeTraits< uint64_t >::host_type

typedef uint64_t cutlass::TypeTraits< uint64_t >::integer_type

typedef uint64_t cutlass::TypeTraits< uint64_t >::unsigned_type

## Member Function Documentation

static uint64_t cutlass::TypeTraits< uint64_t >::remove_negative_zero | ( | uint64_t | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< uint64_t >::to_device | ( | host_type | x | ) |

inlinestatic

static uint64_t cutlass::TypeTraits< uint64_t >::to_print | ( | uint64_t | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< uint64_t >::cublas_type = CUDA_R_8I

static

The documentation for this struct was generated from the following file:

- type_traits.h